package fi.jyu.mit.fxgui;

/**
 * Rajapinta modaalien dialogien käsittelijöille
 * @author vesal
 * @version 3.1.2016
 *
 * @param <TYPE> mikä on dialogin paluutyyppi
 */
public interface ModalControllerInterface<TYPE> {

    /**
     * @return palautetaan dialogin tulos
     */
    TYPE getResult();


    /**
     * Asetetaan oletusarvo
     * @param oletus mitä näyteteään oletuksena
     */
    void setDefault(TYPE oletus);


    /**
     * Mitä tehdään kun dialogi on öaitettu näkyville.  Voidaan tehdä esim. setFocus yms.  
     */
    void handleShown();

}