package rbchooser;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author vesal
 * @version 15.1.2017
 *
 */
public class RbChooserExampleMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("RbChooserExampleView.fxml"));
            final Pane root = ldr.load();
            //final RbChooserExampleController rbchooserexampleCtrl = (RbChooserExampleController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("rbchooserexample.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("RbChooserExample");
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei kytss
     */
    public static void main(String[] args) {
        launch(args);
    }
}