package stringgrid;

import fi.jyu.mit.fxgui.StringGrid;
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;

/**
 * Esimerkki Harrastus-olioiden käyttämisestä StringGridissä
 * @author vesal
 * @version 17.2.2019
 */
public class Otsikot extends Application {
    @Override
    public void start(Stage primaryStage) {
        final BorderPane root = new BorderPane();
        StringGrid<Object> grid = new StringGrid<>();
        root.setCenter(grid);
        alusta(grid);
        primaryStage.setScene(new Scene(root));
        primaryStage.setTitle("Esimerkki");
        primaryStage.show();
    }

    
    private void alusta(StringGrid<Object> grid) {
        String[] headings = {"ala","aloitusvuosi","h/vko"};
        grid.initTable(headings);
     
        grid.add("kalastus","1955","15");
        grid.add("laiskottelu","1950","20");
        grid.add("työn pakoilu","1952","4");
        
        grid.setColumnSortOrderNumber(1);
        grid.setColumnSortOrderNumber(2);
        grid.setColumnWidth(2, 40);
        grid.disableColumnReOrder();
        grid.setTableMenuButtonVisible(true); 
        // grid.setSortable(-1, false); 
        // grid.getSelectionModel().setCellSelectionEnabled(true); 
    }


    /**
     * Käynnistetään käyttöliittymä 
     * @param args komentorivin parametrit
     */
    public static void main(String[] args) {
        launch(args);
    }
}