package tableViewExamples;

import fi.jyu.mit.fxgui.StringGrid;
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

/**
 * Esimerkki 1-ulotteisen merkkijonotaulukon nyttmisest 
 * itsetehdyss StringGrid komponentissa.
 * Muokkaukset eivt tss esimerkiss muuta itse taulukkoa
 * @author vesal
 * @version 24.12.2015
 *
 */
public class StringGridExample extends Application {

    /**
     * Kynnistetn esimerkkiohjelma
     * @param args ei kytss
     */
    public static void main(String[] args) {
        launch(args);
    }
     
    
    @Override
    public void start(Stage primaryStage) {
        StackPane root = new StackPane();
        String tiedot =  
                "ala|aloitusvuosi|h/vko\n"+     
                "kalastus|1955|20\n"+
                "laiskottelu|1950|20\n"+
                "tyn pakoilu|1952|40";
                
        
        StringGrid<?> tableTiedot = new StringGrid<>();

        tableTiedot.setEditable(true);
        tableTiedot.setRivit(tiedot);
        tableTiedot.setRivit(tiedot);
 
        root.getChildren().add(tableTiedot);
        primaryStage.setScene(new Scene(root, 300, 250));
        primaryStage.show();
        
    }

}